## auto-07p 0.9.1+dfsg

=== 07p/demos/python/n-body/Makefile ===
clean:
	rm -f *~ *.o d.* s.* b.* fort.* *.exe

## auto-07p 0.9.1%2Bdfsg

=== debian/control ===
Source: auto-07p
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>
Build-Depends: debhelper (>= 9), gfortran, python-all-dev (>= 2.6.6-3~)
Standards-Version: 4.0.0
Homepage: http://sourceforge.net/projects/auto-07p/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/auto-07p.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/auto-07p.git;a=summary

Package: auto-07p
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: software for continuation and bifurcation problems in ODE
 AUTO can do a limited bifurcation analysis of algebraic systems
 of the form
   f(u,p) = 0,  f,u in Rn
 and of systems of ordinary differential equations of the form
   u'(t) = f(u(t),p),  f,u in Rn
 subject to initial conditions, boundary conditions, and integral
 constraints. Here p denotes one or more parameters. AUTO can also
 do certain continuation and evolution computations for parabolic
 PDEs.  It also includes the software HOMCONT for the bifurcation
 analysis of homoclinic orbits. AUTO is quite fast and can benefit
 from multiple processors; therefore it is applicable to rather
 large systems of differential equations.

## auto-07p 0.9.1+dfsg

=== debian/changelog ===
auto-07p (0.9.1+dfsg-7) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.
  * Use secure copyright file specification URI.

  [ Sergey B Kirpichev ]
  * Bump up Standards-Version (to 4.2.1)
  * Use secure urls in debian/, for control, patches/ and in watch file.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 22 Nov 2018 13:46:31 +0300

auto-07p (0.9.1+dfsg-6) unstable; urgency=medium

  * Fix ftbfs for GCC-8 (Closes: #897711)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 11 Sep 2018 16:50:54 +0300

auto-07p (0.9.1+dfsg-5) unstable; urgency=medium

  * Fix lintian warning debian-rules-should-not-use-or-modify-user-only-variable
  * Point Vcs-* control fields to salsa
  * Fix section to be in sync with override
  * Bump up Standards-Version (to 4.1.4)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 24 May 2018 12:40:17 +0300

auto-07p (0.9.1+dfsg-4) unstable; urgency=medium

  * Bump up Standards-Version (to 4.0.0)
  * Add -fPIC to CFLAGS/FFLAGS

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 10 Jul 2017 11:20:45 +0300

auto-07p (0.9.1+dfsg-3) unstable; urgency=medium

  * Fix bashisms in helper scripts (Closes: #772189).
  * Refresh patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 30 Jan 2015 04:09:36 +0300

auto-07p (0.9.1+dfsg-2) unstable; urgency=medium

  * Changed Maintainer/uploaders control fields
  * Cleanup python deps
  * Set package Section to science
  * override lintian: debian-watch-may-check-gpg-signature
  * Bump up Standards-Version (to 3.9.6)
  * Fix last changelog entry

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 26 Oct 2014 13:12:21 +0300

auto-07p (0.9.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #512916)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 11 Oct 2012 17:25:58 +0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: auto-07p
-Section: science
+Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>
 Build-Depends: debhelper (>= 9), gfortran, python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.0.0
-Homepage: http://sourceforge.net/projects/auto-07p/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/auto-07p.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/auto-07p.git;a=summary
+Standards-Version: 4.2.1
+Homepage: https://sourceforge.net/projects/auto-07p/
+Vcs-Browser: https://salsa.debian.org/science-team/auto-07p
+Vcs-Git: https://salsa.debian.org/science-team/auto-07p.git
 
 Package: auto-07p
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -fPIC
export DEB_FFLAGS_MAINT_APPEND = -fPIC -std=legacy

%:
	dh $@ --sourcedirectory=07p --with python2

override_dh_auto_configure:
	dh_auto_configure -- --with-optimization-flags="$(FFLAGS)"

override_dh_auto_install:
	install -m 644 -o root -g root 07p/bin/auto \
			debian/auto-07p/usr/bin/auto-07p
	install -m 644 -o root -g root 07p/python/*.py \
		debian/auto-07p/usr/lib/auto-07p/python/
	install -m 644 -o root -g root 07p/python/graphics/*.py \
		debian/auto-07p/usr/lib/auto-07p/python/graphics/
	install -m 644 -o root -g root 07p/include/auto*.h \
		debian/auto-07p/usr/include
	install -m 644 -o root -g root 07p/include/config.h \
		debian/auto-07p/usr/include/auto-07p_config.h
	sed -i 's/"config\.h"/<auto-07p_config.h>/' \
		debian/auto-07p/usr/include/auto_f2c.h
	chmod +x debian/auto-07p/usr/lib/auto-07p/python/interactiveBindings.py
	rm -f debian/auto-07p/usr/lib/auto-07p/python/graphics/pyplaut.py
	cp -av 07p/cmds debian/auto-07p/usr/lib/auto-07p/
	rm -f debian/auto-07p/usr/lib/auto-07p/cmds/@ps \
		  debian/auto-07p/usr/lib/auto-07p/cmds/@eps
	cp -av 07p/lib debian/auto-07p/usr/lib/auto-07p/

override_dh_install:

# dh_installchangelogs doesn't honor -O--sourcedirectory?
override_dh_installchangelogs:
	dh_installchangelogs -O--sourcedirectory=07p 07p/CHANGELOG

## auto-07p 0.9.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>
-Build-Depends: debhelper (>= 9), gfortran, python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.2.1
-Homepage: https://sourceforge.net/projects/auto-07p/
+Build-Depends: debhelper (>= 9), gfortran, dh-python, python3-all-dev
+Standards-Version: 4.4.1
+Homepage: https://github.com/auto-07p/auto-07p
 Vcs-Browser: https://salsa.debian.org/science-team/auto-07p
 Vcs-Git: https://salsa.debian.org/science-team/auto-07p.git
 
 Package: auto-07p
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
 Description: software for continuation and bifurcation problems in ODE
  AUTO can do a limited bifurcation analysis of algebraic systems
  of the form

## auto-07p 0.9.2+dfsg

=== 07p/doc/Makefile ===
#
#   Makefile		11/1996
#
.SUFFIXES: .fig .ps .eps .pdf
RM     = rm -f
I = include/

FIGS = $(I)ab1.pdf $(I)ab2.pdf $(I)ab3.pdf $(I)cir1.pdf $(I)cir2.pdf \
$(I)kpr10.pdf $(I)kpr1.pdf $(I)kpr2.pdf $(I)kpr4.pdf $(I)kpr5.pdf $(I)kpr6.pdf \
$(I)kpr7.pdf $(I)kpr8.pdf $(I)mtn1.pdf $(I)mtn2.pdf $(I)mtn3.pdf $(I)rev1.pdf \
$(I)rev2.pdf $(I)rev3.pdf $(I)rev4.pdf $(I)san1.pdf $(I)san2.pdf $(I)she1.pdf \
$(I)broken.pdf $(I)cb_snh.pdf $(I)cb_snh_par.pdf $(I)closegap_pcl.pdf \
$(I)closegap_pcl_par.pdf $(I)closegap_snh.pdf $(I)closegap_snh_par.pdf \
$(I)cont_pcl.pdf $(I)cont_pcl_par.pdf $(I)cont_snh_all.pdf \
$(I)cont_snh_all_par.pdf $(I)cusp1.pdf $(I)cusp2.pdf $(I)fnc_attrrep1.pdf \
$(I)fnc_attrrep2.pdf $(I)fnc_canards1.pdf $(I)fnc_canards2.pdf \
$(I)fnc_canards3.pdf $(I)fnc_canards4.pdf $(I)fnc_canards5.pdf $(I)hom2.pdf \
$(I)hom3.pdf $(I)hopfbif.pdf $(I)kdv3hom.pdf $(I)loop.pdf $(I)notshifted.pdf \
$(I)parspace.pdf $(I)pp21.pdf $(I)pp22.pdf $(I)shilgap.pdf

PLAUT04_FIGS = $(I)2component.pdf $(I)centerMenu.pdf \
$(I)clrLBMu0.pdf $(I)clrTimeMu0.pdf $(I)clrTyMu0.pdf \
$(I)drawCoordMenu.pdf $(I)emL1Sol.pdf $(I)exit.pdf \
$(I)floquet.pdf $(I)helpMenu.pdf $(I)menubar.pdf \
$(I)optionMenu.pdf $(I)styleMenuNew.pdf $(I)typeMenu.pdf

all:  manual

manual: auto.pdf ../plaut04/doc/userguide.pdf
	../cmds/@mn

auto.pdf:auto.tex $(FIGS) $(PLAUT04_FIGS)
	pdflatex auto.tex
	bibtex auto
	pdflatex auto.tex
	pdflatex auto.tex
	pdflatex auto.tex

.fig.pdf:
	fig2dev -Lpdf $< $@

.ps.pdf:
	perl ./epstopdf.pl $<

.eps.pdf:
	perl ./epstopdf.pl $<

../plaut04/doc/userguide.pdf: user_guide.tex $(PLAUT04_FIGS)
	pdflatex user_guide.tex
	pdflatex user_guide.tex
	mv user_guide.pdf $@

clean:
	@echo "Cleaning auto.doc ..."
	@$(RM) *.aux *.log *.bbl *.blg *.toc *.out
	@$(RM) $(FIGS) $(PLAUT04_FIGS)
	@for i in include/*.eps; do $(RM) `echo $$i | sed -e "s/\.eps/.pdf/"`; done
	@for i in include/*.ps; do $(RM) `echo $$i | sed -e "s/\.ps/.pdf/"`; done
	@echo "Cleaning ... done"

superclean: clean
	@$(RM) auto.pdf

manualclean: auto.pdf clean

=== 07p/python/auto/ab/Makefile ===
#
#   Makefile		3/1994		Xianjun WANG
#
PGM    = ab
FC     = f95
FFLAGS = -O
SRC    = $(PGM).f
EXE    = $(PGM).exe
LIBS   = $(AUTO_DIR)/lib/*.o
RM     = rm -f
#
all: clean $(EXE) run
#
$(EXE): $(SRC:.f=.o)
	$(FC) $(FFLAGS) $(SRC:.f=.o) -o $@ $(LIBS)
#
run: first second third fourth fifth
#
first:	$(EXE)
	@echo " "
	@echo "Demo $(PGM) is started"
	@echo " "
	@echo "$(PGM) : first run : stationary solutions"
	@cp c.$(PGM).1 fort.2
	@touch fort.3
	@./$(EXE)
	@cp fort.7 b.$(PGM)
	@cp fort.8 s.$(PGM)
	@cp fort.9 d.$(PGM)
	@echo " Saved as *.$(PGM)"
	@$(RM) fort.*
#
second:	$(EXE)
	@echo " "
	@echo "$(PGM) : second run : periodic solutions"
	@cp c.$(PGM).2 fort.2
	@cp s.$(PGM)   fort.3
	@./$(EXE)
	@cat fort.7 >> b.$(PGM)
	@cat fort.8 >> s.$(PGM)
	@cat fort.9 >> d.$(PGM)
	@echo " Appended to *.$(PGM)"
	@$(RM) fort.*
#
third:	$(EXE)
	@echo " "
	@echo "$(PGM) : third run : a 2-parameter locus of folds"
	@cp c.$(PGM).3 fort.2
	@cp s.$(PGM)   fort.3
	@./$(EXE)
	@cp fort.7 b.2p
	@cp fort.8 s.2p
	@cp fort.9 d.2p
	@echo " Saved as *.2p"
	@$(RM) fort.*
#
fourth:	$(EXE)
	@echo " "
	@echo "$(PGM) : fourth run : the locus of folds in reverse direction"
	@cp c.$(PGM).4 fort.2
	@cp s.$(PGM)   fort.3
	@./$(EXE)
	@cat fort.7 >> b.2p
	@cat fort.8 >> s.2p
	@cat fort.9 >> d.2p
	@echo " Appended to *.2p"
	@$(RM) fort.*
#
fifth:	$(EXE)
	@echo " "
	@echo "$(PGM) : fifth run : a 2-parameter locus of Hopf points"
	@cp c.$(PGM).5 fort.2
	@cp s.$(PGM)   fort.3
	@./$(EXE)
	@cat fort.7 >> b.2p
	@cat fort.8 >> s.2p
	@cat fort.9 >> d.2p
	@echo " Appended to *.2p"
	@$(RM) fort.*
	@echo " "
	@echo "Demo $(PGM) is done"
#
clean:
	@echo "Cleaning $(PGM) ..."
	@cp $(SRC) $(EXE)
	@$(RM) *.exe *.o b.* s.* d.* fort.* *~ core
	@cp c.$(PGM).1 c.$(PGM)
	@echo "Cleaning ... done"

=== 07p/python/auto/wav/Makefile ===
#
#   Makefile		3/1994		Xianjun WANG
#
PGM    = wav
FC     = f95
FFLAGS = -O
SRC    = $(PGM).f
EXE    = $(PGM).exe
LIBS   = $(AUTO_DIR)/lib/*.o
RM     = rm -f
#
all: clean $(EXE) run
#
$(EXE): $(SRC:.f=.o)
	$(FC) $(FFLAGS) $(SRC:.f=.o) -o $@ $(LIBS)
#
#run: first second third fourth fifth sixth
run: first second third fourth fifth
#
first:	$(EXE)
	@echo " "
	@echo "Demo $(PGM) is started"
	@echo " "
	@echo "$(PGM) : first run : stationary solutions of the ODE"
	@cp c.$(PGM).1 fort.2
	@touch fort.3
	@./$(EXE)
	@echo " Saved as *.ode"
	@cp fort.7 b.ode
	@cp fort.8 s.ode
	@cp fort.9 d.ode
	@$(RM) fort.*
#
second:	$(EXE)
	@echo " "
	@echo "$(PGM) : second run : stationary solutions of the reduced PDE"
	@cp c.$(PGM).2 fort.2
	@./$(EXE)
	@cat fort.7 > b.$(PGM)
	@cat fort.8 > s.$(PGM)
	@cat fort.9 > d.$(PGM)
	@echo " Saved as *.$(PGM)"
	@$(RM) fort.*
#
third:	$(EXE)
	@echo " "	
	@echo "$(PGM) : third run : wave train solutions of fixed wave speed"
	@cp c.$(PGM).3 fort.2
	@cp s.$(PGM)   fort.3
	@./$(EXE)
	@cat fort.7 >> b.$(PGM)
	@cat fort.8 >> s.$(PGM)
	@cat fort.9 >> d.$(PGM)
	@echo " Appended to *.$(PGM)"
	@$(RM) fort.*
#
fourth:	$(EXE)
	@echo " "
	@echo "$(PGM) : fourth run : fixed wave length waves on a ring"
	@cp c.$(PGM).4 fort.2
	@cp s.$(PGM)   fort.3
	@./$(EXE)
	@cat fort.7 > b.rng
	@cat fort.8 > s.rng
	@cat fort.9 > d.rng
	@echo " Saved as *.rng"
	@$(RM) fort.*
#
fifth:	$(EXE)
	@echo " "
	@echo "$(PGM) : fifth run : time evolution computation"
	@cp c.$(PGM).5 fort.2
	@cp s.$(PGM)   fort.3
	@./$(EXE)
	@cat fort.7 > b.tim
	@cat fort.8 > s.tim
	@cat fort.9 > d.tim
	@echo " Saved as *.tim"
	@$(RM) fort.*
	@echo " "
	@echo "Demo $(PGM) is done"
#
sixth:	$(EXE)
	@echo " "
	@echo "$(PGM) : sixth run : stationary wave continuation"
	@cp c.$(PGM).6 fort.2
	@cp s.$(PGM)   fort.3
	@./$(EXE)
	@cat fort.7 >> b.$(PGM)
	@cat fort.8 >> s.$(PGM)
	@cat fort.9 >> d.$(PGM)
	@echo " Appended to *.$(PGM)"
	@$(RM) fort.*
 
#
clean:
	@echo "Cleaning $(PGM) ..."
	@cp $(SRC) $(EXE)
	@$(RM) *.exe *.o b.* s.* d.* fort.* *~ core
	@cp c.$(PGM).1 c.$(PGM)
	@echo "Cleaning ... done"

=== debian/changelog ===
auto-07p (0.9.2+dfsg-3) unstable; urgency=medium

  * Bump up Standards-Version (to 4.5.0)
  * Install autox

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 28 Apr 2020 11:47:53 +0300

auto-07p (0.9.2+dfsg-2) unstable; urgency=medium

  * Bump up Standards-Version (to 4.4.1)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 12 Dec 2019 23:16:33 +0300

auto-07p (0.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.2+dfsg (Closes: #936164)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 12 Dec 2019 20:21:08 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>
 Build-Depends: debhelper (>= 9), gfortran, dh-python, python3-all-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/auto-07p/auto-07p
 Vcs-Browser: https://salsa.debian.org/science-team/auto-07p
 Vcs-Git: https://salsa.debian.org/science-team/auto-07p.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -fPIC
export DEB_FFLAGS_MAINT_APPEND = -fPIC -std=legacy

%:
	dh $@ --sourcedirectory=07p --with python3

override_dh_auto_clean:
	cd 07p
	-make clean

override_dh_auto_configure:
	dh_auto_configure -- --with-optimization-flags="$(FFLAGS)"

override_dh_auto_install:
	install -m 644 -o root -g root 07p/bin/auto \
			debian/auto-07p/usr/bin/auto-07p
	install -m 644 -o root -g root 07p/bin/autox \
            debian/auto-07p/usr/bin/autox
	install -m 644 -o root -g root 07p/python/auto/*.py \
		debian/auto-07p/usr/lib/auto-07p/python/auto/
	install -m 644 -o root -g root 07p/python/auto/graphics/*.py \
		debian/auto-07p/usr/lib/auto-07p/python/auto/graphics/
	install -m 644 -o root -g root 07p/include/auto*.h \
		debian/auto-07p/usr/include
	install -m 644 -o root -g root 07p/include/config.h \
		debian/auto-07p/usr/include/auto-07p_config.h
	sed -i 's/"config\.h"/<auto-07p_config.h>/' \
		debian/auto-07p/usr/include/auto_f2c.h
	chmod +x debian/auto-07p/usr/lib/auto-07p/python/auto/interactiveBindings.py
	rm -f debian/auto-07p/usr/lib/auto-07p/python/auto/graphics/pyplaut.py
	cp -av 07p/cmds debian/auto-07p/usr/lib/auto-07p/
	rm -f debian/auto-07p/usr/lib/auto-07p/cmds/@ps \
		  debian/auto-07p/usr/lib/auto-07p/cmds/@eps
	cp -av 07p/lib debian/auto-07p/usr/lib/auto-07p/

override_dh_install:

# dh_installchangelogs doesn't honor -O--sourcedirectory?
override_dh_installchangelogs:
	dh_installchangelogs -O--sourcedirectory=07p 07p/CHANGELOG
